### Interface

# Eog ApplicationActivatable

#### Description

    interface Eog.ApplicationActivatable : GObject.Object

No description available.

#### Prerequisite

In order to implement ApplicationActivatable, your type must inherit from`GObject`.

#### Instance methods

###### eog_application_activatable_activate

No description available.

###### eog_application_activatable_deactivate

No description available.

#### Properties

###### Eog.ApplicationActivatable:app

This is the `EogApplication` this `EogApplicationActivatable` instance should be attached to.

#### Interface structure

    struct EogApplicationActivatableInterface {
      GTypeInterface g_iface;
      void (* activate) (
        EogApplicationActivatable* activatable
      );
      void (* deactivate) (
        EogApplicationActivatable* activatable
      );

    }

No description available.

###### Interface members

`g_iface` |
    GTypeInterface
| No description available.
`activate` |
    void (* activate) (
        EogApplicationActivatable* activatable
      )
| No description available.
`deactivate` |
    void (* deactivate) (
        EogApplicationActivatable* activatable
      )
| No description available.

#### Virtual methods

###### Eog.ApplicationActivatable.activate

No description available.

###### Eog.ApplicationActivatable.deactivate

No description available.